/**
 * @file   vcom.h
 * @author Michal Sojka
 * @date   Wed Aug  1 16:06:11 2007
 */
#ifndef VCOM_H
#define VCOM_H

/**
 * Popis udalosti nastale ve VCOMu.
 * 
 */
struct vcom_event {
    enum vcom_event_id id;      /**< Typ udalosti */
    /** Dalsi informace (podle typu udalosti). */
    union {
        /** Popis udalosti typu \a EV_TRANS_IND */
        struct vcom_event_info_trans {
            enum vcom_trans_command command; /**< Typ prichoziho datagramu. */
            struct vcom_trans_conn *conn;    /**< Spojeni na kterem udalost nastala. */
            uint8_t *ext;                    /**< Ukazatel na extenzi nebo NULL, pokud zadna neni. */
            enum vcom_ext_type ext_type;     /**< Typ extenze. */
            uint8_t ext_len;                 /**< Delka extenze */
            struct vcom_buf *buf;            /**< Ukazatel na datovou cast datagramu. */
            /*Pripadna odpoved na CONNECT.request. Po odeslani je buffer uvolnen transportni vrstvou. */
            /*struct vcom_buf *resp; */
        } trans;
        struct vcom_timer *timer; /**< Casovac, ktery vyprsel (pri \a EV_TIMER). */
    } info;
};


#endif
